# Test credit requirement formula Use this to test the formula for certification credit requirements Endpoint: POST /applications/{tenantId}/creditRequirementFormulaTest/{applicationId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `applicationId` (string, required) The id of the application ## Request fields (application/json): - `credit_type_id` (string, required) The type of credits required - `formula` (string, required) A formula to determine the number of credits - `number_of_credits` (number, required) The number of credits required - `type` (string) Whether or not the number of credits is fixed or calculated Enum: "calculated", "fixed" ## Response 200 fields (application/json): - `date_requirement_fulfilled` (string) The date that the requirement was fulfilled - `id` (string, required) Requirement id - `internal_notes` (string) Internal notes - `name` (string) A description of the requirement - `not_applicable` (boolean) If true, this requirement is not applicable to this application and not used in calculations - `notes` (string) Any notes, visible to the applicant - `portal_explanation` (string) - `status` (string, required) Enum: "fulfilled", "pending review", "unfulfilled" - `type` (string) - `weight` (number) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields